Author Topic: Manual update of default tools.  (Read 10284 times)

Trigori

  • Newbie
  • *
  • Posts: 6
    • View Profile
on: June 03, 2014, 05:33:58 PM
Hi,

I realised the version of xplico is on 1.0.0 . I wanted to update it to the latest version which is 1.1.0.

There is no automatic update from the repository. Can I manually update tools that are installed by Backbox , or should I always wait for an official update ?

Thanks.




b4d_bl0ck

  • Sr. Member
  • ****
  • Posts: 285
    • View Profile
Reply #1 on: June 03, 2014, 07:05:49 PM
Trigori,
when updating from official BackBox repos you will probably have zero issues (well, in some rare cases not.. but we are humans  ;D ), since packages are well tested before uploading.
If you want to upgrade from a specific software official repositories you may have luck, but it is also possible that something will break, due to incompatibilities with the rest of the software running on your system.
So, if you want to try do it, but i would recommend to wait BackBox repositories updates. Or be prepared to fix eventually  ;)

Bye!
« Last Edit: June 03, 2014, 07:08:10 PM by b4d_bl0ck »

bool secure = check_paranoia() ? true : false;


Trigori

  • Newbie
  • *
  • Posts: 6
    • View Profile
Reply #2 on: June 04, 2014, 02:14:12 PM
Trigori,
when updating from official BackBox repos you will probably have zero issues (well, in some rare cases not.. but we are humans  ;D ), since packages are well tested before uploading.
If you want to upgrade from a specific software official repositories you may have luck, but it is also possible that something will break, due to incompatibilities with the rest of the software running on your system.
So, if you want to try do it, but i would recommend to wait BackBox repositories updates. Or be prepared to fix eventually  ;)

Bye!

Thanks for the reply b4d_bl0ck. Hmm I checked the ppa repository @ https://launchpad.net/~backbox/+archive/three, Xplico isn't listed in there  :o

If it isn't listed there, does this mean that it will not officially updated  ?



b4d_bl0ck

  • Sr. Member
  • ****
  • Posts: 285
    • View Profile
Reply #3 on: June 04, 2014, 07:23:35 PM
Yes Trigori,
i guess you are right. I didn't check the origin of the xplico package, but that was a general recommendation for whatever tool.
Regarding xplico, i don't know if it was in the repos and then removed, or just installed the first time from a local package.
I can't say more, sorry. If this is the situation, you can try installing the new version from the official xplico project.
Anyways you can wait if team packagers will provide more infos reading this thread.

Thanks.

bool secure = check_paranoia() ? true : false;